# Getting started

- [Getting Started](https://docs.create-magento-app.com/v1/getting-started/getting-started.md): Create a new CMA instance in minutes
- [Prerequisites](https://docs.create-magento-app.com/v1/getting-started/prerequisites.md)
- [Linux requirements](https://docs.create-magento-app.com/v1/getting-started/prerequisites/installation-on-linux.md)
- [MacOS requirements](https://docs.create-magento-app.com/v1/getting-started/prerequisites/installation-on-macos.md)
- [Apple Silicon](https://docs.create-magento-app.com/v1/getting-started/prerequisites/installation-on-macos/installation-on-macos-apple-silicon.md)
- [Windows requirements](https://docs.create-magento-app.com/v1/getting-started/prerequisites/windows-requirements.md)
- [Available commands](https://docs.create-magento-app.com/v1/getting-started/available-commands.md)
- [Start the application](https://docs.create-magento-app.com/v1/getting-started/available-commands/start.md)
- [Stop the application](https://docs.create-magento-app.com/v1/getting-started/available-commands/stop.md)
- [Check application status](https://docs.create-magento-app.com/v1/getting-started/available-commands/status.md)
- [Enter application CLI](https://docs.create-magento-app.com/v1/getting-started/available-commands/cli.md)
- [Explore application logs](https://docs.create-magento-app.com/v1/getting-started/available-commands/logs.md)
- [Execute commands in Docker containers](https://docs.create-magento-app.com/v1/getting-started/available-commands/exec.md)
- [Link a theme](https://docs.create-magento-app.com/v1/getting-started/available-commands/link.md)
- [Import database dump](https://docs.create-magento-app.com/v1/getting-started/available-commands/import-db.md)
- [⚠️ Uninstall a project](https://docs.create-magento-app.com/v1/getting-started/available-commands/cleanup.md)
- [Folder structure](https://docs.create-magento-app.com/v1/getting-started/folder-structure.md)
- [Updating to New Releases](https://docs.create-magento-app.com/v1/getting-started/updating-to-new-releases.md)
- [Testing Alpha Releases](https://docs.create-magento-app.com/v1/getting-started/updating-to-new-releases/testing-alpha-releases.md)
- [Configuration File](https://docs.create-magento-app.com/v1/getting-started/config-file.md)
- [Supported Magento versions](https://docs.create-magento-app.com/v1/getting-started/supported-magento-versions.md)
- [How does it work?](https://docs.create-magento-app.com/v1/getting-started/how-does-it-work.md)
- [Limitations](https://docs.create-magento-app.com/v1/getting-started/limitations.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.create-magento-app.com/v1/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
